%define name_uc RetroShare
%define alphatag c

Name:           retroshare
Version:        0.5.3
Release:        1.%{alphatag}%{?dist}
Summary:        Secure communication with friends
Summary(fr):    Communications et partage avec vos amis  
Group:          Applications/Internet
License:        GPLv3
URL:            http://retroshare.sourceforge.net
Source0:        http://downloads.sourceforge.net/retroshare/%{name_uc}-v%{version}%{alphatag}.tar.gz
Source1:        retroshare.desktop
Source2:        rs1.ico
BuildRequires:  qt-devel openssl-devel gpgme-devel 
BuildRequires:  libupnp-devel gnome-keyring-devel
BuildRequires:  libXScrnSaver-devel qt-mobility-devel

%description
RetroShare is a Open Source cross-platform, private and secure decentralized
communication platform. It lets you to securely chat and share files with your
friends and family, using a web-of-trust to authenticate peers and OpenSSL to
encrypt all communication. RetroShare provides file sharing, chat, messages,
forums and channels.

%description(fr)
RetroShare est un logiciel de communication opensource, multiplate-forme, privé, sécurisé et décentralisé.
Il vous permet de discuter et partager des fichiers en toute sécurité avec vos amis et votre famille 
en utilisant un modèle de confiance distribuée pour authentifier les personnes et l'OpenSSL pour crypter toutes les communications.
RetroShare permet le partage de fichiers, le chat, l'envoi de messages,l'utilisation de forums et de canaux de diffusion
%prep
%setup -qn trunk
%build
qmake-qt4
make

%install
rm -rf $RPM_BUILD_ROOT
INSTALL_ROOT=%{buildroot} make install 
mkdir -p "$RPM_BUILD_ROOT/usr/bin/"
mkdir -p "$RPM_BUILD_ROOT/usr/share/applications"
mkdir -p "$RPM_BUILD_ROOT/usr/share/doc/retroshare"
mkdir -p "$RPM_BUILD_ROOT/usr/share/pixmaps"
mkdir -p "$RPM_BUILD_ROOT/usr/share/RetroShare"
install -p "libbitdht/src/bitdht/bdboot.txt" "$RPM_BUILD_ROOT/usr/share/RetroShare"
install -p "retroshare-gui/src/RetroShare" "$RPM_BUILD_ROOT/usr/bin/"
install -p "retroshare-nogui/src/retroshare-nogui" "$RPM_BUILD_ROOT/usr/bin/"
install -p "retroshare-gui/src/README.txt" "$RPM_BUILD_ROOT/usr/share/doc/retroshare"
install -p %{SOURCE2} "$RPM_BUILD_ROOT/usr/share/pixmaps"
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
%post 
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :r
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

update-desktop-database &> /dev/null || :

%files

%{_defaultdocdir}/retroshare
%{_bindir}/RetroShare
%{_bindir}/retroshare-nogui
%{_datadir}/applications/retroshare.desktop
%{_datadir}/pixmaps/rs1.ico
%{_datadir}/RetroShare/bdboot.txt
%{_libdir}/libretroshare.a
%exclude %{_includedir}/retroshare/*.h
%changelog
* Thu Jun 14 2012 pierre80 <pierre80@fedoraproject.org>0.5.3c.fc17
- First Fedora 17 release of version 0.5.3c
